The BOOST_PP_ITERATION_PARAMS_x macro is a user-defined named external argument used by BOOST_PP_ITERATE. It denotes the lower bound, upper bound, and the filename of a file-iteration. It can optionally denote flags associated with a file-iteration as well.

#### Usage

#define BOOST_PP_ITERATION_PARAMS_x (c, (start, finish, filename [, flags]))

#### Arguments

x
  The iteration depth of the next file-iteration. This value must be the current iteration depth + 1.
c
  The number of parameters. If flags is specified, this value must be 4. Otherwise, it must be 3.
start
  The lower bound (inclusive) of a file-iteration. Valid values range from 0 to BOOST_PP_LIMIT_ITERATION.
finish
  The upper bound (inclusive) of a file-iteration. Valid values range from 0 to BOOST_PP_LIMIT_ITERATION.
filename
  A quoted or angle-bracketed filename to used as the target of a file-iteration.
[flags]
  A quoted or angle-bracketed filename to used as the target of a file-iteration.

#### Remarks

Note that there is a whitespace character after the macro identifier.
This macro is must be defined as an array of arguments in one of the two formats above (with or without flags). It is the primary method of passing arguments to BOOST_PP_ITERATE. Both start and finish are evaluated parameters, which implies that simple arithmetic can be used.
This macro is automatically undefined for reuse by a call to BOOST_PP_ITERATE.

#### See Also

- BOOST_PP_ITERATE
- BOOST_PP_LIMIT_ITERATION

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)